Bug 1001133 (CVE-2016-7511)

Summary: VUL-1: CVE-2016-7511: libdwarf: Integer Overflow
Product: [openSUSE] openSUSE Distribution Reporter: Alexander Bergmann <abergmann>
Component: SecurityAssignee: Dirk Mueller <dmueller>
Status: RESOLVED WONTFIX QA Contact: E-mail List <qa-bugs>
Severity: Minor    
Priority: P4 - Low CC: abergmann, astieger, dmueller, matz, qantas94heavy
Version: Leap 42.3   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/172935/
Whiteboard:
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Alexander Bergmann 2016-09-26 11:12:55 UTC
https://www.prevanders.net/libdwarf-20160923.tar.gz

bugxml/data.txt

id: DW201609-002
cve: CVE-2016-7511
datereported: 20160918
reportedby: Shi Ji (@Puzzor)
vulnerability: libdwarf 20160613 Integer Overflow
product: libdwarf
description: In dwarf_get_size_of_val() with
  fuzzed DWARF data we get a SEGV.
  <pre>
  See
  https://sourceforge.net/p/libdwarf/bugs/3/
  </pre>
  <pre>
  ==6825== ERROR: AddressSanitizer: SEGV on unknown address 0x0583903c (pc 0xb61f1a98 sp 0xbfa388b4 bp 0xbfa38d08 T0)
  AddressSanitizer can not provide additional info.
  #1 0xb61e3c0b (/usr/lib/i386-linux-gnu/libasan.so.0+0xdc0b)
  #2 0x80a21b1 in _dwarf_get_size_of_val /home/fuzzing/fuzzing/dwarf-20160613/libdwarf/dwarf_util.c:210
  #3 0x8054214 in _dwarf_next_die_info_ptr /home/fuzzing/fuzzing/dwarf-20160613/libdwarf/dwarf_die_deliv.c:1340
  #4 0x80557a5 in dwarf_child /home/fuzzing/fuzzing/dwarf-20160613/libdwarf/dwarf_die_deliv.c:1640
  #5 0x804b23f in get_die_and_siblings /home/fuzzing/fuzzing/dwarf-20160613/dwarfexample/./simplereader.c:573
  </pre>
  _dwarf_make_CU_Context() is insufficiently cautious about
  the length of a CU being absurd.
  Unclear as yet if this is the problem
  but it is a problem and is fixed for next release.
datefixed:
references: regressiontests/DW201609-002/DW201609-002-poc
gitfixid:   3767305debcba8bd7e1c483ae48c509d25399252
tarrelease:
endrec:

References:
https://www.prevanders.net/dwarf.html#releases
Comment 1 Swamp Workflow Management 2016-09-26 22:00:41 UTC
bugbot adjusting priority
Comment 2 Dirk Mueller 2017-01-02 14:17:13 UTC
fixed for tumbleweed
Comment 3 Bernhard Wiedemann 2017-01-02 15:00:41 UTC
This is an autogenerated message for OBS integration:
This bug (1001133) was mentioned in
https://build.opensuse.org/request/show/448518 Factory / libdwarf
Comment 4 Andreas Stieger 2017-05-19 09:39:13 UTC
(In reply to Dirk Mueller from comment #2)
> fixed for tumbleweed

How are we for a maintenance update for leap 42.2?
Comment 5 Karl Cheng 2017-08-19 08:02:14 UTC
This has still not been updated for 42.2 or 42.3, moving.
Comment 6 Alexander Bergmann 2018-04-13 15:57:45 UTC
Move bug report to openSUSE Leap 42.3.

Any update on a submission for Leap?
Comment 7 Tomáš Chvátal 2019-07-11 11:06:14 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime